Description

This patch adds documentation of links to forum posts to the file help/wiki_syntax_detailed.html. It also normalizes some of the

formatting.

A considering comitter should also normalize the whole file to \n line endings.

Related issues:

Related to Redmine - Defect #6123: help/wiki_syntax_detailed.html is outdated Closed 2010-08-12

Associated revisions

Revision 4308 - 2010-10-30 00:48 - Jean-Baptiste Barth

Updated wiki-syntax help page to reflect new link options and last coderay upgrade. #5948

Contributed by Holger Just and Mischa The Evil

History

#1 - 2010-10-18 08:12 - Mischa The Evil

- File update_wiki_syntax_detailed-r4249.diff added

Updated the patch against current trunk and included new languages supported by Coderay 0.9.2 (latest included version).

For reviewers:

Index: public/help/wiki_syntax_detailed.html

===================================================================

--- public/help/wiki_syntax_detailed.html    (revision 4249)

+++ public/help/wiki_syntax_detailed.html    (working copy)

@@ -66,7 +66,7 @@

         <p>Wiki links are displayed in red if the page doesn't exist yet, eg: <a href="#" class="wiki-page ne

w">Nonexistent page</a>.</p>

-        <p>Links to others resources (0.7):</p>

+        <p>Links to other resources:</p>

         <ul>

             <li>Documents:

@@ -74,6 +74,7 @@

                     <li><strong>document#17</strong> (link to document with id 17)</li>

                     <li><strong>document:Greetings</strong> (link to the document with title "Greetings")</li

>

                     <li><strong>document:"Some document"</strong> (double quotes can be used when document ti

tle contains spaces)</li>

+                    <li><strong>document:some_project:"Some document"</strong> (link to a document with title

 "Some document" in other project "some_project")

                 </ul></li>

         </ul>

@@ -95,19 +96,36 @@

         </ul>

         <ul>

-             <li>Repository files

+             <li>Repository files:
                 <ul>

-                    <li><strong>source:some/file</strong>          -- Link to the file located at /some/file 

in the project's repository</li>

-                    <li><strong>source:some/file@52</strong>       -- Link to the file's revision 52</li>

-                    <li><strong>source:some/file#L120</strong>     -- Link to line 120 of the file</li>

-                    <li><strong>source:some/file@52#L120</strong>  -- Link to line 120 of the file's revision

 52</li>

-                    <li><strong>export:some/file</strong>          -- Force the download of the file</li>

-            </ul></li>

+                    <li><strong>source:some/file</strong>           (link to the file located at /some/file i

n the project's repository)</li>

+                    <li><strong>source:some/file@52</strong>        (link to the file's revision 52)</li>

+                    <li><strong>source:some/file#L120</strong>      (link to line 120 of the file)</li>

+                    <li><strong>source:some/file@52#L120</strong>   (link to line 120 of the file's revision 

52)</li>

+                    <li><strong>source:"some file@52#L120"</strong> (use double quotes when the URL contains 

spaces</li>

+                    <li><strong>export:some/file</strong>           (force the download of the file)</li>

+                </ul></li>

         </ul>

-        

-        <p>Escaping (0.7):</p>

         <ul>

+            <li>Forum messages:

+                <ul>

+                    <li><strong>message#1218</strong> (link to message with id 1218)</li>

+                </ul></li>

+        </ul>

+

+        <ul>

+            <li>Projects:

+                <ul>

+                    <li><strong>project#3</strong> (link to project with id 3)</li>

+                    <li><strong>project:someproject</strong> (link to project named "someproject")</li>

+                </ul></li>

+        </ul>

+

+

+        <p>Escaping:</p>

+

+        <ul>

             <li>You can prevent Redmine links from being parsed by preceding them with an exclamation mark: !

</li>

         </ul>

@@ -219,7 +237,7 @@

     <h2><a name="13" class="wiki-page"></a>Code highlighting</h2>

-    <p>Code highlightment relies on <a href="http://coderay.rubychan.de/" class="external">CodeRay</a>, a fas

t syntax highlighting library written completely in Ruby. It currently supports c, html, javascript, rhtml, ru

by, scheme, xml languages.</p>

+    <p>Code highlightment relies on <a href="http://coderay.rubychan.de/" class="external">CodeRay</a>, a fas

t syntax highlighting library written completely in Ruby. It currently supports c, cpp, css, delphi, groovy, h

tml, java, javascript, json, php, python, rhtml, ruby, scheme, sql, xml and yaml languages.</p>

     <p>You can highlight code in your wiki page using this syntax:</p>

#2 - 2010-10-18 08:13 - Mischa The Evil

- Assignee changed from Muntek Singh to Eric Davis

- Target version set to 1.0.3

#3 - 2010-10-25 16:58 - Eric Davis

- Assignee deleted (Eric Davis)

#4 - 2010-10-30 00:43 - Jean-Baptiste Barth

- Status changed from New to Resolved

- Assignee set to Jean-Baptiste Barth

- % Done changed from 0 to 100
Applied in r4308, thanks!

#5 - 2010-11-01 01:22 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.3

Files

wiki_syntax_detailed.diff 3.43 KB 2010-07-23 Holger Just

update_wiki_syntax_detailed-r4249.diff 3.98 KB 2010-10-18 Mischa The Evil
